> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Update Super Admin Details

PUT https://api-b2b.bigcommerce.com/api/v3/io/super-admins/info/{superAdminId}
Content-Type: application/json

Updates the account information of the Super Admin associated with `superAdminId`.

> **NOTE**  
> A BigCommerce customer account and a B2B Edition user account are both uniquely identified by their email address. As such, the `email` field is considered read-only. Updating the email address should be avoided, but may be done with the [Update Customers](/developer/api-reference/rest/admin/management/customers/v3/update-customers) endpoint.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/super-admin/put-super-admins-info-super-admin-id

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Path parameters

- `superAdminId` (integer, required) — The unique ID of the Super Admin account. Does **not** match the BigCommerce customer account ID.

### Body (application/json)

This endpoint expects an object.

- `firstName` (string, optional) — The first name listed on the Super Admin's BigCommerce customer account.
- `lastName` (string, optional) — The last name listed on the Super Admin's BigCommerce customer account.
- `phone` (string, optional) — The phone number listed on the Super Admin's BigCommerce customer account.
- `uuid` (string, optional) — An external ID associated with the Super Admin account. B2B Edition does not require UUID to be unique, despite the field's label. B2B Edition will not assign a UUID by default. > NOTE > Some endpoints will only return this field if it has a non-empty value. If your code relies on the presence of a UUID in responses, ensure it is defined for each user, and prefer endpoints that provide more details. > > Regardless of individual user status, make sure to check for existence before attempting to use the value of the `uuid` field.
- `channelIds` (list of integer, optional) — An array of unique channel IDs associated with BigCommerce sales channels. The account will only be able to login on channels in this list.
- `extraFields` (list of ExtraFieldsArrayItems, optional)

## Response

### 200

SUCCESS

- `code` (integer, optional, default: 200)
- `data` (SuperAdminsInfoSuperAdminIdPutResponsesContentApplicationJsonSchemaData, optional)
- `meta` (SuperAdminsInfoSuperAdminIdPutResponsesContentApplicationJsonSchemaMeta, optional)

## Errors

### 404 Not Found Error

NOT FOUND

- `code` (integer, optional, default: 404)
- `data` (SuperAdminsInfoSuperAdminIdPutResponsesContentApplicationJsonSchemaData, optional)
- `meta` (SuperAdminsInfoSuperAdminIdPutResponsesContentApplicationJsonSchemaMeta, optional)

## Types

### ExtraFieldsArrayItems

- `fieldName` (string, optional) — The name of the custom field
- `fieldValue` (string, optional) — Value for the custom field.

### SuperAdminsInfoSuperAdminIdPutResponsesContentApplicationJsonSchemaData

### SuperAdminsInfoSuperAdminIdPutResponsesContentApplicationJsonSchemaMeta

- `message` (string, optional, default: The ID provided does not match an available resource of the appropriate type.)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "code": 200,
  "data": {
    "channelList": [
      {
        "channelId": 1,
        "channelName": "Great Buys Wholesale",
        "iconUrl": "https://s3.amazonaws.com/bc-channel-platform/channel-icons/bigcommerce.svg"
      }
    ],
    "createdAt": 1745868780,
    "email": "marie.curie@example.com",
    "extraFields": [
      {
        "fieldName": "customField1",
        "fieldValue": "foo"
      }
    ],
    "firstName": "Marie",
    "id": 123456,
    "lastName": "Curie",
    "phone": "string",
    "updatedAt": 1750962754,
    "uuid": "string"
  },
  "meta": {
    "message": "Success"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/super-admins/info/11"

payload = {}
headers = {
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/super-admins/info/11';
const options = {
  method: 'PUT',
  headers: {'X-Auth-Token': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/super-admins/info/11"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/super-admins/info/11")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api-b2b.bigcommerce.com/api/v3/io/super-admins/info/11")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api-b2b.bigcommerce.com/api/v3/io/super-admins/info/11', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/super-admins/info/11");
var request = new RestRequest(Method.PUT);
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/super-admins/info/11")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```